## pyseq 0.9.0

=== requirements.txt ===
envstack>=0.8.3

=== debian/changelog ===
pyseq (0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1112080)

 -- Dima Kogan <dkogan@debian.org>  Mon, 25 Aug 2025 22:19:53 -0700

=== debian/control ===
Source: pyseq
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-setuptools,
               pybuild-plugin-pyproject
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.6.1
Homepage: https://github.com/rsgalloway/pyseq/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyseq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyseq

Package: python3-pyseq
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Compressed File Sequence String Module
 PySeq is a python module that finds groups of items that follow a naming
 convention containing a numerical sequence index (e.g. fileA.001.png,
 fileA.002.png, fileA.003.png...) and serializes them into a compressed sequence
 string representing the entire sequence (e.g. fileA.1-3.png). It should work
 regardless of where the numerical sequence index is embedded in the name

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyseq
%:
	dh $@ --with python3 --buildsystem=pybuild

# I rename all the binary tools from xxx -> pyseq-xxx. These tools have generic
# names and there are multiple collissions with other files already in Debian
override_dh_auto_install:
	dh_auto_install
	cd debian/python3-pyseq/usr/bin; for f in *; do mv $$f pyseq-$$f; done

# Tests don't all pass. Since I had to code this up to run them, I'm wondering
# if they are stale. I disable them for now
# override_dh_auto_test:
# 	$(foreach f,$(wildcard tests/test*.py), PYTHONPATH=lib pytest $f &&) true

=== debian/watch ===
version=4
https://github.com/rsgalloway/pyseq/tags .*/(\d\S+)\.tar\.gz
